Report Outcome

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.thankly.ai/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Thankly MCP server": {
    "url": "https://docs.thankly.ai/mcp"
  }
}

Close
POST /outcomes
application/json

Body Required

  • decision_id string Required
  • channel string | null
  • sent boolean | null
  • delivered boolean | null
  • opened boolean | null
  • clicked boolean | null
  • converted boolean | null
  • revenue number | null
  • conversion_event string | null
  • reported_at string(date-time) | null

Responses

  • 202 application/json

    Successful Response

    Hide response attributes Show response attributes object
    • outcome_id string Required
    • decision_id string Required
  • 422 application/json

    Validation Error

    Hide response attribute Show response attribute object
    • detail array[object]
      Hide detail attributes Show detail attributes object
      • loc array[string | integer] Required
      • msg string Required
      • type string Required
      • input
      • ctx object
POST /outcomes
curl \
 --request POST 'http://api.example.com/outcomes' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"decision_id":"string","channel":"string","sent":true,"delivered":true,"opened":true,"clicked":true,"converted":true,"revenue":42.0,"conversion_event":"string","reported_at":"2026-05-04T09:42:00Z"}'
Request examples
{
  "decision_id": "string",
  "channel": "string",
  "sent": true,
  "delivered": true,
  "opened": true,
  "clicked": true,
  "converted": true,
  "revenue": 42.0,
  "conversion_event": "string",
  "reported_at": "2026-05-04T09:42:00Z"
}
Response examples (202)
{
  "outcome_id": "string",
  "decision_id": "string"
}
Response examples (422)
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "ctx": {}
    }
  ]
}